#include "script_component.hpp"
ADDON = false;

PREP_RECOMPILE_START;
#include "XEH_PREP.hpp"
PREP_RECOMPILE_END;

GVAR(playerOwners) = createHashMap;
GVAR(tempStores) = createHashMap;

// Process database requests
["forge_db_request", {
    params ["_playerUID", "_requestType", "_data", "_requestID"];

    TRACE_4("DB Request",_playerUID,_requestType,_data,_requestID);

    private _result = [_requestType, _data] call FUNC(processDBRequest);
    ["forge_db_response", [_playerUID, _requestType, _result, _requestID]] call CBA_fnc_globalEvent;
}] call CBA_fnc_addEventHandler;

// Register clients for direct messaging
["forge_db_registerClient", {
    params ["_playerUID", "_ownerID"];
    GVAR(playerOwners) set [_playerUID, _ownerID];
}] call CBA_fnc_addEventHandler;

// Clean up on disconnect
addMissionEventHandler ["PlayerDisconnected", {
    params ["_id", "_uid", "_name", "_jip", "_owner"];
    GVAR(playerOwners) deleteAt _uid;
}];

ADDON = true;