#include "..\script_component.hpp"

/*
 * Function: forge_server_db_fnc_createStore
 * Author: J. Schmidt
 * 
 * Description:
 * Creates a new collection in the database
 *
 * Arguments:
 * 0: _name - Store name <STRING>
 * 1: _schema - Store schema <ARRAY>
 *
 * Return Value:
 * Store object or nil if failed
 */

params [["_name", "", [""]], ["_schema", [], [[]]]];

if (_name isEqualTo "") exitWith {
    ERROR_MSG("Store name cannot be empty");
    nil
};

private _database = call FUNC(verifyDB);
_database call ["createStore", [_name, _schema]]