#include "..\script_component.hpp"

/*
 * Function: forge_server_db_fnc_getStore
 * Author: J. Schmidt
 * 
 * Description:
 * Retrieves a store from the database
 *
 * Arguments:
 * 0: _name - Store name <STRING>
 *
 * Return Value:
 * Store object or nil if not found
 */

params [["_name", "", [""]]];

if (_name isEqualTo "") exitWith {
    ERROR_MSG("Store name cannot be empty");
    nil
};

private _database = GETMVAR(GVAR(store),nil);
_database call ["getStore", [_name]]