#include "..\script_component.hpp"

/*
 * Function: forge_server_db_fnc_loadFromMission
 * Author: J. Schmidt
 * 
 * Description:
 * Loads data from mission namespace using the database interface
 *
 * Arguments:
 * 0: _name - Store name <STRING>
 * 1: _key - Key to retrieve <STRING>
 * 2: _default - Default value if not found <ANY>
 *
 * Return Value:
 * Retrieved data or default value
 */

params [
    ["_name", "", [""]],
    ["_key", "", [""]],
    ["_default", nil]
];

private _database = call FUNC(verifyDB);
private _store = _database call ["getStore", [_name]];

if (isNil "_store") exitWith {
    _default
};

[_name, _key, _default, missionNamespace] call FUNC(getFromStore)